Skip to main content
`Ctrl`+`K`

# KSPFCGGetNprealloc

get the number of directions preallocate by `KSPFCG`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGGetNprealloc(KSP ksp, PetscInt *nprealloc)

Not Collective

## Input Parameter

- ksp - the Krylov space context

## Output Parameter

- nprealloc - the number of directions preallocated

## See Also

KSP: Linear System Solvers, `KSPFCG`, `KSPFCGGetTruncationType()`, `KSPFCGSetNprealloc()`, `KSPFCGSetMmax()`, `KSPFCGGetMmax()`

## Level

advanced

## Location

src/ksp/ksp/impls/fcg/fcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages